This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 195374 - notebook tabs truncated when tab bar space runs out
notebook tabs truncated when tab bar space runs out
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-14 18:25 EDT by Yves Perrenoud
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-15 16:43:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
gedit with tab abnormally truncated (28.21 KB, image/png)
2006-06-14 18:25 EDT, Yves Perrenoud
no flags Details
gedit with tab bar as it should look (29.95 KB, image/png)
2006-06-14 18:25 EDT, Yves Perrenoud
no flags Details

  None (edit)
Description Yves Perrenoud 2006-06-14 18:25:04 EDT
Description of problem:

On a NoteBook where the tab bar is set to scroll and not shrink the tabs to fit,
adding a new tab when that tab will not fit, results in the new tab to be
truncated (see the first attached screenshot). Selecting the tab to it's left
then going back to this right most tab yields the correct result (see second
attached screenshot) of having an arrow to the very left showing that there's
more tabs that can't be displayed.

I've witnessed this problem in "gedit", "galeon", "liferea" (a non-gnome app,
pure GTK2) and a custom piece of pygtk code I put together to experiment with
this.

Version-Release number of selected component (if applicable):

gtk2-2.8.18-1

How reproducible:

100%

Steps to Reproduce:
1. fire up "gedit"
2. click "New" repeatedly until you run out of space for tabs
3.

Actual results:

tab truncated

Expected results:

tab not-truncated

Additional info:
Comment 1 Yves Perrenoud 2006-06-14 18:25:04 EDT
Created attachment 130934 [details]
gedit with tab abnormally truncated
Comment 2 Yves Perrenoud 2006-06-14 18:25:47 EDT
Created attachment 130935 [details]
gedit with tab bar as it should look
Comment 3 Yves Perrenoud 2006-07-15 16:43:46 EDT
This got fixed with gtk2-2.8.20-1

Note You need to log in before you can comment on or make changes to this bug.